"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createServerFolders = void 0;
const folderMetaData_1 = __importDefault(require("../../constants/folderMetaData"));
const utils_1 = require("../../utils");
const helpers_1 = require("../helpers/helpers");
const createServerFolders = ({ appName }) => __awaiter(void 0, void 0, void 0, function* () {
    const dir = yield (0, folderMetaData_1.default)({ appName });
    (0, helpers_1.createFolderAndFiles)({ dir, appName: appName });
    utils_1.logger.info(`\n 
  cd ${appName}
  npm install
  npm start \n`);
    utils_1.logger.info(`\n 
    ********************************
    App ${appName} => App has been created!!!
    *********************************  
    \n`);
    return;
});
exports.createServerFolders = createServerFolders;
